#===============================================================
# V Make Configuration file - Version 1.21 - 10/30/98
#
# For OS/2 EMX
# Note: assumes GNU Make is being used (doesn't work with nmake)
#
# Copyright (C) 1995,1996,1997,1998  Bruce E. Wampler
#
# This file is part of the V C++ GUI Framework, and is covered
# under the terms of the GNU Library General Public License,
# Version 2. This library has NO WARRANTY. See the source file
# vapp.cxx for more complete information about license terms.
#===============================================================


#---------------------------------------------------------------------
# Version info
#---------------------------------------------------------------------
VV	=	1.21
VVW	=	121


#---------------------------------------------------------------------
# HOMEV info
# change this to the directory you've installed V to
#---------------------------------------------------------------------
HOMEV	=	E:/devtools/v

# Select one of the following, or provide your own paths
HOMEGNU	=	E:/local/emx


#---------------------------------------------------------------------
# Tools used in the makefile execution
#---------------------------------------------------------------------
CC	=	gcc
CXX	=	gcc -x c++
LD	=	gcc
GMAKE	=	gmake
AR	=	ar
RANLIB	=	ar -s
RES	=	rc -r

#---------------------------------------------------------------------
# VPATH for dependencies on header files
#---------------------------------------------------------------------
VPATH=$(HOMEV)/include2/v


#---------------------------------------------------------------------
# Select the architecture of your system.
#---------------------------------------------------------------------

ARCH = os2

Arch = $(ARCH)

USE_3D = no

#---------------------------------------------------------------------
# Select Debug or no Debug
#---------------------------------------------------------------------
#DEBUG	=	yes
DEBUG	= no

#---------------------------------------------------------------------
# Select Develop or not - used for original development
#---------------------------------------------------------------------
DEVEL	=	yes
#DEVEL	= no

#---------------------------------------------------------------------
# Define filename extensions that are targeted by cleanup's
#---------------------------------------------------------------------
CLEANEXTS= *.bak *.tmp


#---------------------------------------------------------------------
# Architecture dependent directory locations
#---------------------------------------------------------------------
VLibDir	=	$(HOMEV)/lib/$(Arch)
LibDir	=	$(HOMEV)/lib/$(Arch)
oDir	=	$(HOMEV)/obj/$(Arch)
Bin	=	$(HOMEV)/bin/$(Arch)

#---------------------------------------------------------------------
# Architecture independent 
#---------------------------------------------------------------------
INCDIR	=	-I$(HOMEV)/include2
LIBDIR	=	-L$(LibDir)
LIBNAME	=	vos2
LIBS	=	-lvos2 -lvos2gl -lopengl -los2 -lc -lstdcpp



#---------------------------------------------------------------------
# C/C++ compile options
#---------------------------------------------------------------------
CFLAGS	= $(INCDIR) 
ifeq ($(DEBUG),no)
#CFLAGS	+=	-O2
endif
ifeq ($(DEBUG),yes)
CFLAGS	+=	-g 
endif
ifeq ($(DEVEL),yes)
CFLAGS	+=	-DDEVEL
endif
CFLAGS	+=      -DOS2EMX_PLAIN_CHAR -pipe 

#---------------------------------------------------------------------
# LINK/LOAD options
#---------------------------------------------------------------------
LDFLAGS	=	$(LIBDIR) $(LIBS)
